Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class SearchModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.mail.MailModel
              portlets.compoze.groupware.model.mail.SearchModel

All Implemented Interfaces:
  java.io.Serializable

public class SearchModel
extends MailModel
implements java.io.Serializable

This class represents the data model for the search page (`search.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.mail.MailModel
`QUICK_VIEW_ALL, QUICK_VIEW_HIGH_PRIORITY, QUICK_VIEW_UNREAD`

Constructor Summary
`SearchModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, Accounts accounts)` Constructor.

Method Summary
`FolderNavigation` | `getFolderNavigation()` Gets the folder navigation.
`void` | `setFolderNavigation(FolderNavigation folderNavigation)` Sets the folder navigation.

Methods inherited from class portlets.compoze.groupware.model.mail.MailModel
`getInboxFolderID, getMailPreferences, setInboxFolderID`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchModel

    public SearchModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                       FeatureGroup featureGroup,
                       GroupwarePreferences groupwarePrefs,
                       MailPreferences mailPrefs,
                       Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### getFolderNavigation

    public FolderNavigation getFolderNavigation()

  Gets the folder navigation.

  Overrides:
    `getFolderNavigation` in class `MailModel`
  Returns:
    the folder navigation

### setFolderNavigation

    public void setFolderNavigation(FolderNavigation folderNavigation)

  Sets the folder navigation.

  Parameters:
    `folderNavigation` - the folder navigation (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.